curl --request POST \
--url https://api.rownd.io/applications/{app}/groups \
--header 'Content-Type: application/json' \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>' \
--data '
{
"name": "My Teammates",
"admission_policy": "invite_only",
"meta": {}
}
'import requests
url = "https://api.rownd.io/applications/{app}/groups"
payload = {
"name": "My Teammates",
"admission_policy": "invite_only",
"meta": {}
}
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-rownd-app-key': '<api-key>',
'x-rownd-app-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'My Teammates', admission_policy: 'invite_only', meta: {}})
};
fetch('https://api.rownd.io/applications/{app}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "group_a3l1n2lsnb3q0xbul9enjnh7",
"name": "My Teammates",
"member_count": 0,
"app_id": "327677849595019856",
"admission_policy": "invite_only",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
"created_by": "user_t6ftnnmw55pamuhfo9xvw0yl"
}Create a group
Platform API for creating a new group
Authorizations
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Path Parameters
Rownd application ID
Body
Response
Group created successfully
The group ID
"group_a3l1n2lsnb3q0xbul9enjnh7"
The group name
"My Teammates"
This value is no longer provided by the API. The default value of 0 will always be returned
Rownd application ID
"327677849595019856"
Set whether the group be open for anyone to join or by invite only
invite_only, open "invite_only"
An object containing additional metadata for the group
The ISO 8601 date-time that the resource was created
The ISO 8601 date-time that the resource was updated
The ID of the user that created the resource
"user_t6ftnnmw55pamuhfo9xvw0yl"
The ID of the user that most recently updated the resource
"user_t6ftnnmw55pamuhfo9xvw0yl"